Erro - apt-get no Ubuntu: ** (appstreamcli): CRITICAL **: Error while moving old database out of the way. AppStream cache update failed [Resolvido]

Publicado por Eduardo Mozart de Oliveira em 16/01/2017

[ Hits: 809 ]

Blog: http://www.eduardomozartdeoliveira.wordpress.com/

 


Erro - apt-get no Ubuntu: ** (appstreamcli): CRITICAL **: Error while moving old database out of the way. AppStream cache update failed [Resolvido]



Ao iniciar o Ubuntu 16.04 live, ao tentar atualizar a lista de pacotes usando o comando apt-get update, aparecia a mensagem:

** (appstreamcli): CRITICAL **: Error while moving old database out of the way. AppStream cache update failed.
Linux: Erro - apt-get no Ubuntu: ** (appstreamcli): CRITICAL **: Error while moving old database out of the way. AppStream cache update failed [Resolvido]
Em um primeiro momento, pensei que devido ao live executar diretamente do DVD, não era possível atualizar o banco de dados (//database//) do apt-get. Porém, os arquivos do DVD são copiados para a memória durante a iniciação do Ubuntu-live, por isso, logo descartei esta hipótese.

Procurando na internet, pude encontrar a resposta no Ask Ubuntu. É necessário alterar a permissão do database, com o comando:

# chmod 777 /var/cache/app-info/xapian/default -R

Referências

Unable to 'apt-get dist-upgrade' on a persistent Ubuntu 16.04 USB. Ask Ubuntu. 2016. Acesso em: 13 dez. 2016. Disponível em: <http://askubuntu.com/questions/761592/unable-to-apt-get-dist-upgrade-on-a-persistent-ubuntu-16-04-usb>

apt-get upgrade on live CD. Ubuntu Forums. 2011. Acesso em: 13 dez. 2016. Disponível em: <https://ubuntuforums.org/showthread.php?t=1879456>

Outras dicas deste autor

"Permission denied" ao compilar código fonte [Resolvido]

Pacotes RPM no CentOS - Erro: "Warning: RPMDB altered outside of yum" [Resolvido]

Instalando e Configurando o Google Earth

Resposta lenta ao conectar a um servidor ProFTPD (login lento)

Associar uma extensão a um programa no Ubuntu

Leitura recomendada

Interface de rede em modo estático no CentOS 6/Red Hat 6 - Configuração

Fazer Alt+Tab funcionar no Ubuntu com GNOME Clássico

Problemas com dvd/cdrom (scd0) no Ubuntu

Conectando com Claro 3G - modem Huawei 156B (Debian 5)

openSUSE: upgrade indolor para o Leap 42.1

  

Comentários

Nenhum comentário foi encontrado.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
{BANNER_MODEL3}

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts